package fr.unice.javinspector.MVC.controler;

import fr.unice.javinspector.plugin.PluginTypes;
import fr.unice.javinspector.MVC.view.*;
/**
 * <p>Title: Class CompositionControler</p>
 * <p>Description: Implements a controler for a composition view</p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: </p>
 * @author Jerme GAHIDE - Lucas CHARBIT - Gabriel ZERBIB - Xavier GALBOIS
 * @version 1.0
 */

public abstract class CompositionControler extends AbstractControler {
  /**
   * the compostion view awned by this controler
   */
  protected CompositionView compositionView;

  /**
   * gets the view owned by this controler
   * @return the view
   */
  public View getView(){
    return compositionView;
  }

  /**
   * return the type of this plugin
   * @return PluginTypes.COMPOSITION_CONTROLER
   */
  public int getType() {
    return PluginTypes.COMPOSITION_CONTROLER;
  }

}
