package fr.unice.javinspector.MVC.controler;


import fr.unice.javinspector.MVC.view.*;
import fr.unice.javinspector.plugin.*;
/**
 * <p>Title: JavInspector</p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: </p>
 * @author Jerme GAHIDE - Lucas CHARBIT - Gabriel ZERBIB - Xavier GALBOIS
 * @version 1.0
 */

public abstract class HeritageControler extends AbstractControler {
  /**
   * the Heritage view owned by this controler
   */
  protected HeritageView heritageView;

  /**
   * gets the view owned by this controler
   * @return the view
   */
  public View getView(){
    return heritageView;
  }

  /**
   * return the type of this plugin
   * @return PluginTypes.HERITAGE_CONTROLER
   */
  public int getType() {
    return PluginTypes.HERITAGE_CONTROLER;
  }
}
