package fr.unice.javinspector.MVC.controler;

import fr.unice.javinspector.plugin.PluginTypes;
import fr.unice.javinspector.MVC.view.*;

/**
 * <p>Title: JavInspector</p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: </p>
 * @author Jerme GAHIDE - Lucas CHARBIT - Gabriel ZERBIB - Xavier GALBOIS
 * @version 1.0
 */

public abstract class SearchControler extends AbstractControler {
  /**
   * the Search view owned by this controler
   */
  protected SearchView searchView;

  /**
   * gets the view owned by this controler
   * @return the view
   */
  public View getView(){
    return searchView;
  }

  /**
   * return the type of this plugin
   * @return PluginTypes.SEARCH_CONTROLER
   */
  public int getType(){
    return PluginTypes.SEARCH_CONTROLER;
  }
}
