package fr.unice.javinspector.core.engineSearch;

/**
 * <p>Title: MembersGroup</p>
 * <p>Description: this group is a filter for the member attribute
 * as method, field, constructor</p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: UNICE</p>
 * @author Zerbib Gabriel - Charbit Lucas - Galbois Xavier - Gahide Jrme
 * @version 1.0
 */

public class MembersGroupCriterion extends GroupCriterion {

  public MembersGroupCriterion() {
    name = "MembersGroupCriterion";

    // add here the criterion you want
    criterionList.add(new ConstructorCriterion());
    criterionList.add(new FieldCriterion());
    criterionList.add(new MethodCriterion());

  }

  /**
   *
   * @deprecated the mediator has not been implemented.
   * @param c the criterion
   * @param state the state
   * @see GroupCriterion#selectStatesCriterion(Criterion c, int ll) selectStatesCriterion
   */
  public void selectStatesCriterion(Criterion c, int state) {

  }


  /**
   *
   * @deprecated the mediator has not been implemented.
   * @param c the criterion
   * @param ll the state
   * @see GroupCriterion#selectStatesCriterion(Criterion c, int ll) selectStatesCriterion
   */
  public void selectLogicalLinkCriterion(Criterion c, int ll) {

  }
}
