package fr.unice.javinspector.MVC.view;

import fr.unice.javinspector.plugin.PluginTypes;

/**
 * <p>Title: Class HeritageView</p>
 * <p>Description: The abstract class rpresenting an heritage view for a classifierAnalyser</p>
 * <p>Company: UNSA</p>
 * @author Jerme GAHIDE - Lucas CHARBIT - Gabriel ZERBIB - Xavier GALBOIS
 * @version 1.0
 */

public abstract class HeritageView extends AbstractView {

  /**
   * Needed by the View interface
   * @return the type of a view
   */
  public int getType(){
    return PluginTypes.HERITAGE_VIEW;
  }
}
