package fr.unice.javinspector.core.engineSearch;

/**
 * <p>Title: rangeGroupCriterion</p>
 * <p>Description: this group is for the final and static criterion</p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: UNICE</p>
 * @author Zerbib Gabriel - Charbit Lucas - Galbois Xavier - Gahide Jrme
 * @version 1.0
 */

public class RangeGroupCriterion extends GroupCriterion {

  public RangeGroupCriterion() {
    name = "RangeGroupCriterion";

    // add here the criterion you want
    criterionList.add(new FinalCriterion());
    criterionList.add(new StaticCriterion());

  }


  /**
   *
   * @deprecated the mediator has not been implemented.
   * @param c the criterion
   * @param state the state
   * @see GroupCriterion#selectStatesCriterion(Criterion c, int ll) selectStatesCriterion
   */
  public void selectStatesCriterion(Criterion c, int state) {

  }

  /**
    *
    * @deprecated the mediator has not been implemented.
    * @param c the criterion
    * @param ll the state
    * @see GroupCriterion#selectStatesCriterion(Criterion c, int ll) selectStatesCriterion
   */
  public void selectLogicalLinkCriterion(Criterion c, int ll) {

  }
}
