package fr.unice.javinspector.core.engineSearch;

/**
 * <p>Title: SearchEngineException</p>
 * <p>Description: This is the exection for the Search Engine.</p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: UNICE</p>
 * @author Zerbib Gabriel - Charbit Lucas - Galbois Xavier - Gahide Jrme
 * @version 1.0
 */

public class SearchEngineException extends Exception {

  private int type;

  private String message;

  public SearchEngineException(String message){
    this.message = message;
  }

  public SearchEngineException(String message,int type){
    this.message = message;
    this.type = type;
  }


  public String getMessage(){
   return message;
  }

  public int getType(){
    return type;
  }

  public String toString(){
    if(type != 0)
      return message + "(type:"+type+")";
    else
      return message;
  }

}
